Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
tags
/
dimensions
List tag dimensions
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "dimensions": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "<string>",
        "defined_values": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "<string>",
            "value": "<string>",
            "type": "TagValue",
            "display_name": "<string>",
            "archived_at": "2023-11-07T05:31:56Z"
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "type": "com.layerfi.routers.ApiTagDimension",
        "display_name": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z"
      }
    ],
    "type": "com.layerfi.routers.ApiTagDimensions"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to fetch tag dimensions for.

Query Parameters

include_deleted
boolean
default:false

Whether to include deleted tag dimensions.

Response

Tag dimensions retrieved successfully.

data
object
required